Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drupal.project.async_command
Class EncryptedFieldAdapter

    java.lang.Object
      org.drupal.project.async_command.EncryptedFieldAdapter

    public class EncryptedFieldAdapter

extends java.lang.Object

This class handles encryption through the Encrypted Field Drupal Module. Encryption is used for confidential information. TODO: use Java encryption/decryption library rather than resort to PHP evaluation.

Nested Class Summary
`static class` | `EncryptedFieldAdapter.Method` Encryption method.

Constructor Summary
`EncryptedFieldAdapter(EncryptedFieldAdapter.Method method)` Initialize this adapter.
`EncryptedFieldAdapter(EncryptedFieldAdapter.Method method, java.lang.String secretKey)` Initialize this adapter.

Method Summary
`java.lang.String` | `readContent(java.lang.String encrypted)` Read the original content of the encrypted message.
`java.util.Properties` | `readSettings(java.lang.String encrypted)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedFieldAdapter

    public EncryptedFieldAdapter(EncryptedFieldAdapter.Method method)

  Initialize this adapter.

  Parameters:
    `method` - `EncryptionMethod`

### EncryptedFieldAdapter

    public EncryptedFieldAdapter(EncryptedFieldAdapter.Method method,
                                 java.lang.String secretKey)

  Initialize this adapter.

  Parameters:
    `method` - `EncryptionMethod`
    `secretKey` - The secret key.

Method Detail

### readContent

    public java.lang.String readContent(java.lang.String encrypted)

  Read the original content of the encrypted message.

  Parameters:
    `encrypted` - Encrypted message to be decrypted.
  Returns:
    Decrypted orignal message.

### readSettings

    public java.util.Properties readSettings(java.lang.String encrypted)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD